Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.container
Interface PortletApplicationRegistry

All Known Implementing Classes:
  PortletApplicationRegistryImpl

    public interface PortletApplicationRegistry

Version:
  $Revision: 6699 $
Author:
  Julien Viet, Thomas Heute

Method Summary
`void` | `addListener(PortletApplicationRegistryListener listener)` Adds a portlet container registry listener.
`PortletApplication` | `getPortletApplication(java.lang.String id)` Return a portlet app using its id or null if it does not exist.
`java.util.Collection` | `getPortletApplications()` Return an immutable list all the known portlet application in the registry.
`PortletApplicationRegistrationContext` | `registerPortletApplication(PortletApplication portletApplication)` Register a portlet application.
`void` | `removeListener(PortletApplicationRegistryListener listener)` Removes a portlet container registry listener.
`void` | `unregisterPortletApplication(PortletApplication portletApplication)` Unregister a portlet application.

Method Detail

### registerPortletApplication

    PortletApplicationRegistrationContext registerPortletApplication(PortletApplication portletApplication)
                                                                     throws java.lang.IllegalArgumentException

  Register a portlet application.

  Parameters:
    `portletApplication` - the portlet application to register
  Throws:
    `java.lang.IllegalArgumentException` - if the portlet application is null or already registered

### unregisterPortletApplication

    void unregisterPortletApplication(PortletApplication portletApplication)
                                      throws java.lang.IllegalArgumentException

  Unregister a portlet application.

  Parameters:
    `portletApplication` - the portlet application to unregister
  Throws:
    `java.lang.IllegalArgumentException` - if the portlet application is null or not registered

### getPortletApplications

    java.util.Collection getPortletApplications()

  Return an immutable list all the known portlet application in the registry.

### getPortletApplication

    PortletApplication getPortletApplication(java.lang.String id)

  Return a portlet app using its id or null if it does not exist.

### addListener

    void addListener(PortletApplicationRegistryListener listener)

  Adds a portlet container registry listener.

  Parameters:
    `listener` -

### removeListener

    void removeListener(PortletApplicationRegistryListener listener)

  Removes a portlet container registry listener.

  Parameters:
    `listener` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD